function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("0 Document History","1");
A=P.fN("1 Introduction","2");
var B=A.fN("1.1 Related Documents","3");
B=A.fN("1.2 Approval Considerations","4");
B=A.fN("1.3 Terms and Abbreviations","5");
A=P.fN("2 Requirements for Battery Management","6");
B=A.fN("2.1 Hardware Requirements","7");
B=A.fN("2.2 Software Requirements","8");
B=A.fN("2.3 Battery Requirements","9");
var C=B.fN("2.3.1 Recommended Batteries","10");
A=P.fN("3 Charging Management","11");
B=A.fN("3.1 Stages of Charging","12");
B=A.fN("3.2 Sample Application with Referencing Charging Circuit","13");
A=P.fN("4 Current Load of GSM Applications","14");
B=A.fN("4.1 Current Consumption during Transmit Burst","15");
B=A.fN("4.2 Peak Current during Transmit Burst","16");
A=P.fN("5 Strategies for Maximizing Battery Capacity","17");
B=A.fN("5.1 Effects of Application Power Supply Resistance","18");
B=A.fN("5.2 Effects of Recovery Voltage","19");
B=A.fN("5.3 Effects of Temperature","20");
A=P.fN("6 Design Advice","21");
B=A.fN("6.1 Reducing Resistance between Battery and Module","21#1206459");
B=A.fN("6.2 Modifying External Charging Circuits","22");
C=B.fN("6.2.1 Increasing Charge Current","23");
A=P.fN("7 Appendix","24");
B=A.fN("7.1 Data Sheets of Recommended Batteries","24#1209165");
}
